#369 Eclipse hangs when running pydev.nature upon start

closed-works-for-me
nobody
None
5
2013-11-20
2006-09-18
Andreas M.
No

At first, please excuse this very long log. But I do
not understand enough of Eclipse as to decide, what is
of importance. A little background: I had evaluated
Pydev-Extensions with Eclipse 3.1.

Then, one day, I updated Eclipse to 3.2, getting a big
distribution from YOXOS. There have been several
problems with it, one was the impossibility to update
Pydev. After some time I decided to install 3.2 from
the Eclipse.org sites, doing all in the conventional,
traditional sense of using Eclipses UpdateManager.

The Workspace was the same over all the times.
Yesterday I opened the Pydev perspective the first time
since upgrading to the standard Eclipse 3.2
distribution and configured the perspective a little,
then saved it as MyPydev.

Today, when starting Eclipse with the Pydev perspective
open Eclipse hangs when doing something with the
"pydev.nature" (this is all that I can see)

This is WindowsXP.

!SESSION 2006-09-18 11:02:18.627
-----------------------------------------------
eclipse.buildId=M20060629-1905
java.version=1.5.0_08
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32,
NL=de_DE
Command-line arguments: -os win32 -ws win32 -arch x86
-consolelog

!ENTRY org.eclipse.core.resources 2 10035 2006-09-18
11:02:25.174
!MESSAGE A workspace crash was detected. The previous
session did not exit normally.

!ENTRY org.eclipse.ui 2 0 2006-09-18 11:02:26.033
!MESSAGE Warnings while parsing the key bindings from
the 'org.eclipse.ui.commands' extension point
!SUBENTRY 1 org.eclipse.ui 2 0 2006-09-18 11:02:26.033
!MESSAGE Defining a key binding with no key sequence
has no effect: plug-in='net.sf.colorer',
id='net.sf.colorer.eclipse.editors.choosetype'

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:02:53.580
!MESSAGE While loading class "kawa.standard.load",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"kawa.standard.load" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:02:58.799
!MESSAGE While loading class
"gnu.kawa.functions.BaseUri", thread "main" timed out
waiting (5000ms) for thread "PyEditNotifier" to finish
starting bundle "org.schemeway.plugins.schemescript".
To avoid deadlock, thread "main" is proceeding but
"gnu.kawa.functions.BaseUri" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.load.apply(load.java:213)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:03:03.939
!MESSAGE While loading class "gnu.mapping.TtyInPort",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"gnu.mapping.TtyInPort" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.load.loadSource(load.java:115)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:03:09.096
!MESSAGE While loading class
"gnu.lists.ConsumerWriter", thread "main" timed out
waiting (5000ms) for thread "PyEditNotifier" to finish
starting bundle "org.schemeway.plugins.schemescript".
To avoid deadlock, thread "main" is proceeding but
"gnu.lists.ConsumerWriter" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at gnu.mapping.InPort.<clinit>(InPort.java:63)
at kawa.standard.load.loadSource(load.java:115)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:03:14.221
!MESSAGE While loading class "gnu.mapping.LogWriter",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"gnu.mapping.LogWriter" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at gnu.mapping.InPort.<clinit>(InPort.java:63)
at kawa.standard.load.loadSource(load.java:115)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:03:19.361
!MESSAGE While loading class "gnu.text.PrettyWriter",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"gnu.text.PrettyWriter" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at gnu.mapping.InPort.<clinit>(InPort.java:63)
at kawa.standard.load.loadSource(load.java:115)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:03:24.502
!MESSAGE While loading class "gnu.expr.ModuleBody",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"gnu.expr.ModuleBody" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.load.loadSource(load.java:139)
at kawa.standard.load.loadSource(load.java:119)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:03:29.643
!MESSAGE While loading class "gnu.expr.ModuleMethod",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"gnu.expr.ModuleMethod" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.load.loadSource(load.java:139)
at kawa.standard.load.loadSource(load.java:119)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:03:34.768
!MESSAGE While loading class "gnu.lists.VoidConsumer",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"gnu.lists.VoidConsumer" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.load.loadSource(load.java:141)
at kawa.standard.load.loadSource(load.java:119)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:03:39.908
!MESSAGE While loading class
"gnu.lists.FilterConsumer", thread "main" timed out
waiting (5000ms) for thread "PyEditNotifier" to finish
starting bundle "org.schemeway.plugins.schemescript".
To avoid deadlock, thread "main" is proceeding but
"gnu.lists.FilterConsumer" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:160)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:498)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:468)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:427)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:410)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.load.loadSource(load.java:141)
at kawa.standard.load.loadSource(load.java:119)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:04:07.455
!MESSAGE While loading class "kawa.Shell", thread
"main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but "kawa.Shell"
may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.load.loadSource(load.java:149)
at kawa.standard.load.loadSource(load.java:119)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:04:12.596
!MESSAGE While loading class "gnu.lists.F32Vector",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"gnu.lists.F32Vector" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.Scheme.getLexer(Scheme.java:872)
at kawa.Shell.run(Shell.java:186)
at kawa.standard.load.loadSource(load.java:149)
at kawa.standard.load.loadSource(load.java:119)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:04:18.580
!MESSAGE While loading class "gnu.lists.F64Vector",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"gnu.lists.F64Vector" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.Scheme.getLexer(Scheme.java:872)
at kawa.Shell.run(Shell.java:186)
at kawa.standard.load.loadSource(load.java:149)
at kawa.standard.load.loadSource(load.java:119)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:04:23.721
!MESSAGE While loading class "gnu.lists.S8Vector",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"gnu.lists.S8Vector" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.Scheme.getLexer(Scheme.java:872)
at kawa.Shell.run(Shell.java:186)
at kawa.standard.load.loadSource(load.java:149)
at kawa.standard.load.loadSource(load.java:119)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

!ENTRY org.eclipse.osgi 4 0 2006-09-18 11:04:28.861
!MESSAGE While loading class "gnu.lists.S16Vector",
thread "main" timed out waiting (5000ms) for thread
"PyEditNotifier" to finish starting bundle
"org.schemeway.plugins.schemescript". To avoid
deadlock, thread "main" is proceeding but
"gnu.lists.S16Vector" may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:75)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:409)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:188)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:339)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:391)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:352)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at kawa.standard.Scheme.getLexer(Scheme.java:872)
at kawa.Shell.run(Shell.java:186)
at kawa.standard.load.loadSource(load.java:149)
at kawa.standard.load.loadSource(load.java:119)
at kawa.standard.load.apply(load.java:225)
at kawa.standard.load.apply2(load.java:188)
at kawa.standard.load.apply1(load.java:178)
at
org.schemeway.plugins.schemescript.interpreter.KawaProxy$1.run(KawaProxy.java:33)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)

Discussion

  • Fabio Zadrozny
    Fabio Zadrozny
    2006-09-19

    Logged In: YES
    user_id=617340

    Seems some incompatibility with the scheme plugin...

    Pydev has a thread that it starts when it initializes an
    editor, and it keeps that thread alive until the editor is
    closed... I don't know the reason, but the scheme plugin
    seems to do something special and halts because of it -- at
    least that is what the error log appears to say... have you
    asked the scheme guys -- Kawa -- about it?

     
  • Fabio Zadrozny
    Fabio Zadrozny
    2006-09-19

    • status: open --> pending
     
  • Logged In: NO

    > have you asked the scheme guys -- Kawa -- about it?

    No, not yet, since I did not know for sure, what could cause
    the problem. For now, I disabled the Scheme feature and I
    could open a Pydev persepctive (and editor) without problems.
    I will contact them about it.

    I realize, that I should have posted this to the forum,
    rather than file a bug-report. Please excuse me.

     
  • Fabio Zadrozny
    Fabio Zadrozny
    2006-09-23

    Logged In: YES
    user_id=617340

    No problems... I'm closing this bug, as the problem seems to
    be in the scheme plugin (and not in pydev).

     
  • Fabio Zadrozny
    Fabio Zadrozny
    2006-09-23

    • status: pending --> closed-works-for-me